rdp clipboard sync doesn't work anymore.

Bug #937522 reported by Ondergetekende on 2012-02-21
690
This bug affects 136 people
Affects Status Importance Assigned to Milestone
remmina
New
Undecided
Unassigned
remmina (Debian)
Fix Released
Unknown
remmina (Ubuntu)
Undecided
Jean-Louis Dupond
Precise
Undecided
Unassigned

Bug Description

[Impact] This bug has been quite active for some time. Its just a fact that missing clipboard redirection is a blocker for this app.

[Development Fix] The current remmina version (1.0.0-1ubuntu7) in Quantal has the same patch added.

[Stable Fix] The patch for fixing this has been attached to this thread.

[Test Case]
- Install Remmina
- Connect to a random RDP server
- Copy something on the client
- Paste it now on the server
=> Normally the content should be synced, but this is not the cause.

[Regression Potential] before Precise we had rdesktop as RDP client.
This client had support for clipboard redirection.
But as Remmina is now the default RDP client, alot of people are missing this feature.

Ondergetekende (kvdveer) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in remmina (Ubuntu):
status: New → Confirmed
Misha Bazanov (bmw-) wrote :

It work in xfreerdp:
xfreerdp --plugin cliprdr <host>
Looks like it broken by remmina developers.

Ondergetekende (kvdveer) wrote :

/usr/lib/freerdp/cliprdr.so is being loaded, see attached strace (strace only includes the freerdp subprocess)

I confirm existence of this bug on Fedora 16 with x86_64 architecture. Very uncomfortable. Other than that, Remmina is just fine.

LinU (linu777) wrote :

I confirm existence of this bug on Xubuntu 12.04 beta 1 x86_64 remmina 0.9.99.1

Jérôme Poulin (jeromepoulin) wrote :

Confirmed in Ubuntu 12.04, remmina 0.9.99.1.

ApportVersion: 2.0-0ubuntu3
Architecture: i386
CheckboxSubmission: 1574df1f8d8cb85ef44e25bb9318ad7a
CheckboxSystem: c541d13ea4f205f2fd751f76ed21105b
DistroRelease: Ubuntu 12.04
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
Package: remmina 1.0.0-1ubuntu5
PackageArchitecture: i386
ProcVersionSignature: Ubuntu 3.2.0-21.34-generic-pae 3.2.13
Tags: precise
Uname: Linux 3.2.0-21-generic-pae i686
UpgradeStatus: Upgraded to precise on 2012-03-29 (5 days ago)
UserGroups: adm admin cdrom dialout lp lpadmin plugdev sambashare vboxusers

tags: added: apport-collected

apport information

apport information

Ondergetekende (kvdveer) on 2012-04-05
Changed in remmina:
importance: Undecided → Unknown
status: New → Unknown
Changed in remmina:
status: Unknown → New

I'm too am experiencing this bug; I can't cut and paste text from Ubuntu to a RDP session.

Server-side:
You can see, in the attached-png-image, that the Windows 2003 server does NOT have clipboard mapping disabled.

Client-side:
Clipboard mapping is also NOT disabled in the RDP profile under the Advanced tab in Remmina's Remote Desktop Preference dialog.

Given this, clipboard mapping should be working, but it is not.

tags: added: remmina

I confirm this with Ubuntu 12.04 beta2 for both unity-2d and unity-3d.

Ivan Volkov (volkov-i63) wrote :

I also confirm with KUbuntu 12.04 beta2.

This bug is an important one for me. Not being able to copy and paste into (and from) the remote desktop really messes up my workflow.

There's not much time to get a fixed version into the upcoming release:
http://www.ubuntu.com/community/countdown

robled (robled) wrote :

There hasn't been activity on the upstream bug report. I've resorted to using xfreerdp from the command line. RDP without clipboard support is useless for me. :sadface:

Ryan Waldroop (ryan.waldroop) wrote :

Wanted to add that the scroll wheel doesn't work inside of Windows' windows either.

Alexandr (olexandr-dmitriev) wrote :

Yes, I have the same issue with the non working scroll lock.

Jean-Louis Dupond (dupondje) wrote :

Hi!

The scroll issue is some other bug in Remmina.
This can be checked in https://bugs.launchpad.net/ubuntu/+source/remmina/+bug/952964.

For the people having the clipboard issue.
Is the clipboard working for VNC connections?

I'm working on a patch to implement Clipboard support in Remmina.

robled (robled) wrote :

The clipboard does work for VNC connections.

Espen Krømke (espenk) wrote :

I can confirm this bug is still present in 12.04 LTS.

VesaA (vesaa) wrote :

I can also confirm this bug on 12.04 with remmina 1.0.0-1ubuntu6 from precise-proposed. Please fix as it makes RDP almost useless. Thanks for all the hard work!

Йож (kolu4iy) wrote :

I can confirm this bug is present in xubuntu 12.04 LTS.

Ivan Volkov (volkov-i63) wrote :

Confirm on KUbuntu 12.04 LTS.

Also on Lubuntu 12.04

ClutchGP (clutchgp) wrote :

Confirmed on 12.04 LTS release with Remmina 0.9.99.1.

Jérôme Poulin (jeromepoulin) wrote :

Still not working on final.

Changed in remmina (Ubuntu):
assignee: nobody → Jean-Louis Dupond (dupondje)
Jean-Louis Dupond (dupondje) wrote :

For people interested. I uploaded a package to my PPA (https://launchpad.net/~dupondje/+archive/ppa) which includes clipboard support.
This should work without issues. If you find some strange things or bugs, report them to me please.

robled (robled) wrote :

Clipboard support is working again with the updated version from your PPA. Thank you!

Na_OH (naoh123) wrote :

This has also resolved scrolling within the server as well; however Viewport fullscreen mode does not scroll when cursor is brought to the edges on high resolution instances, Bug #955018; most importantly, thank you, very much appreciated!

ClutchGP (clutchgp) wrote :

Dupondje PPA fix above has resolved copy/paste as well as scrolling in 12.04 LTS with Remmina 0.9.99.1, thanks!

Snacho (snacho) wrote :

Successfully built from git. Clipboard is working on arch linux. Thank you for the fix.

Alexandr (olexandr-dmitriev) wrote :

Will this fix go also updataes or proposed?

I updated with the preposed package last night; it fixed the scroll-wheel issue (https://bugs.launchpad.net/bugs/952964) for me, but not cut and paste.

I just tested "cut and paste" again (right now); it is NOT working. I went to Remmina's help menu and "about" it says I'm running version 0.9.99.1.

So, the PPA fix is not in the proposed update that fixed the scroll-wheel issue.

When will all these fixes likely go official (so that the masses will get the fixes :) ?

robled (robled) wrote :

I've had a few segfaults with the new package from the PPA. Unfortunately I'm not able to grab the output from the crash GUI dialog that comes up, but I did get this from ~/.xsession-errors

(remmina:2124): GLib-GObject-WARNING **: invalid uninstantiatable type `(null)' in cast to `GObject'
(remmina:2124): GLib-GObject-CRITICAL **: g_object_get_data: assertion `G_IS_OBJECT (object)' failed

clipboard issue confirmed fixed with patch

VesaA (vesaa) wrote :

PPA fixed clipboard and scroll wheel. Thanx! But noticed one charset issue. All works when copy-pasting from Ubuntu to remmina RDP window. But when copy-pasting from remmina RDP window to Ubuntu, text with scandinavian letters comes likes this "\Uffffffff".

Dmitry (c-make) wrote :

Remmina is crashing now for me, when trying to make "Paste" operation, using fixed version from PPA.

Joeri (joeri-liekens) wrote :

I also experience the same crashes. I don't necessarily have to do anything, just starting an RDP connection and wait a few seconds replicates my issue...
I'm using gnome-fallback and compiz.

Errors seen using cli:
(remmina:5099): GLib-GObject-WARNING **: invalid uninstantiatable type `(null)' in cast to `GObject'
(remmina:5099): GLib-GObject-CRITICAL **: g_object_get_data: assertion `G_IS_OBJECT (object)' failed
Segmentation fault (core dumped)

alex (alejandro-garcia-lopez) wrote :

Same for me. PPA version crashes from time to time (no need to be copy/pasting or anything like that). Any idea are this bug-fixes going to be made available on a stable release coming through ubuntu approved repo?

Changed in remmina:
importance: Unknown → Undecided
Changed in remmina (Debian):
status: Unknown → New
Changed in remmina (Ubuntu):
status: Confirmed → Fix Released
Changed in remmina (Ubuntu Precise):
status: New → Confirmed
Changed in remmina (Debian):
status: New → Fix Committed
Changed in remmina (Debian):
status: Fix Committed → Fix Released
Vibhav Pant (vibhavp) on 2012-05-26
Changed in remmina (Ubuntu Precise):
assignee: nobody → Vibhav Pant (vibhavp)
Vibhav Pant (vibhavp) on 2012-05-26
Changed in remmina (Ubuntu Precise):
assignee: Vibhav Pant (vibhavp) → nobody
tags: added: regression-release
description: updated
Changed in remmina (Ubuntu Precise):
status: Confirmed → Fix Committed
tags: added: verification-needed
tags: added: verification-done
removed: verification-needed
Ermak (slex-bi) on 2012-06-01
Changed in remmina (Ubuntu Precise):
status: Fix Committed → Confirmed
Changed in remmina (Ubuntu Precise):
status: Confirmed → Fix Committed
73 comments hidden view all 153 comments

I'm still not able to Copy/Paste. Using 12.04 with remmina 1.0.0-1ubuntu6.1 of precise-proposed

"Servers" are Win2k8R2 and WinXP

exactt (giesbert) wrote :

I also tried yesterday using the proposed packages but didn't get it working as well...

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package remmina - 1.0.0-1ubuntu6.1

---------------
remmina (1.0.0-1ubuntu6.1) precise-proposed; urgency=low

  * debian/patches/clipboard.patch: add clipboard support.
    (LP: #937522)
 -- Jean-Louis Dupond <email address hidden> Tue, 08 May 2012 20:50:11 +0200

Changed in remmina (Ubuntu Precise):
status: Fix Committed → Fix Released
exactt (giesbert) wrote :

on a side-note: Help->Info still displays version 0.9.99.1

Martin G Miller (mgmiller) wrote :

I saw the new update for remmina last night and installed it and clipboard synch worked as long as I put something into the clipboard from the client side first. I also used it this morning on a remote job site without problems.

However, once I got back to my office, I found that all clipboard sych was disabled in all my machines. These are running ubuntu 10.04, 11.10, 12.10, some are 32 bit, some are 64 bit. Also, I use terminal services client, krdc and remmina in various machines. They all worked yesterday, but none of them work today. All clip board synch everywhere is now disabled and I am dead in the water.......The server is running Windwos XP SP2 and all the clients are Ubuntu of various releases.

Any thoughts on where to start fixing this would be appreciated.

Martin G Miller (mgmiller) wrote :

OK, The one thing I didn't think of was that the one common thread in my problem was Windows. I have been having so much trouble with remmina that I just kept assuming Windows was fine. In this case, it was the Windows clipboard that had failed. It would not copy/paste anything within itself, never mind over a remote connection. Once I restarted my Windows session, every thing started working again.

Thank you for the fine work in resolving the remmina clipboard bug, it is usable now. The only remaining glitch is it should not need to have something in the buffer from the client side first. It never needed that before.

Hi,

I am using the new Remmina version released and it work very good now.

The only thing is that i had to delete my folder .remmina in my home directory in order Remmina works with the copy and paste of the clipboard.

Thank you for fixing it.

Regards

Carlos Kassab

Carl W (n6rl) wrote :

I have similar problems. Ubuntu 12.10, VNC, clipboard sync doesn't work properly.

I agree that a Remote Desktop Viewer has to handle copy/paste correctly in order to be usable. This is a very irritating bug for me.

Tried to install the patch but was unable to do so in graphical Synaptic. In order to install the patch Synaptic demanded to uninstall all other remmina packages, if I accepted that, after having applied changes, the program itself (as expecte) disappeared.

My current problem is this:
- local->remote: works
- remote->local: sometimes only the first char of the copied text is pasted (pasting again remotely correctly pastes it all, so it really is in the remote clipboard). But this problem is intermittent.
- in addition to that: selecting any text on the remote machine places it in the clipboard (very strange)

I have trouble with scandinavian characters as well:
- local->remote: char is replaced by two other ASCII chars
- remote-> local: char is replaced by \Uffffffff or similar

Carl W (n6rl) wrote :

Sorry, my Ubuntu version is *12.04*.

Damir Butmir (d4m1r2) wrote :

This is still an issue in 12.04 using remmina-common 1.0.0-1ubuntu6.1 !!!

Copy/paste is completely broken when connecting to a Windows XP machine over RDP.

Linux damir-ubuntu 3.2.0-29-generic #46-Ubuntu SMP Fri Jul 27 17:03:23 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

PLEASE FIX!

Martin G Miller (mgmiller) wrote :

Damir Butmir:
This may be a problem on the Windows machine itself. There are 2 things to try.

First, put something in the clipboard by "ctrl-c ing" any random text on your local Linux machine before trying to copy from the XP box. If this works, then I agree, its' still a bug in Remmina, even if the dev says it's normal behavior.

Second, the XP remote clipboard in Windows may be hung. I have found this to be a problem NOT exclusive to RDP in Linux. It is also reported as a long standing problem in all Windows OS's when running RDP. Once you have the remote session open, run the Windows task manager (right click the task bar and select task manager) and look for the process rdpclip.exe. End task on this process and then at the top of the task manager window, click on File > New Task (Run) and enter rdpclip.exe in the dialog box and run it. Now try your clipboard and see if it is working.

If that fixes it for you, then it's a Windows problem. I have created a small batch file that I leave on the Windows desktop that I can click on to quickly end and restart the rdpclip.exe.

Place the following in a file called clipboard.bat
Taskkill.exe /im rdpclip.exe
Rdpclip.exe

I actually got this info from a Windows discussion site where many people who only run Windows were having the same problem.

brian mullan (bmullan) wrote :

As more FYI it might just be a Microsoft problem.. the following thread is recent and the people are using microsoft clients and servers and are all reporting RDP Cut&Paste problems

http://www.gfi.com/blog/copy-paste-working-remote-desktop-connection-whats-wrong/

There are several possible workaround one of which involves killing the rdpclip.exe "process" in Windows Task Manager then restarting it.

I also tried that but it did NOT fix the problem with RDP session Cut&Paste . Rdpclip.exe is ONLY used for Remote Desktop session redirection of clipboard.

Locally on Windows it Cut&Paste works between programs running on the same machine while you are logged into the machine.

But reading the above thread... my guess is this may end up being a Microsoft problem.

Martin G Miller (mgmiller) wrote :

That is why I made the batch file on the Windows desktop. Sometimes I have to hit it 2 or 3 times to get the clipboard to start working again. The other thing is to make sure you have something in the clipboard on the local side first. Just copy anything into the buffer from the local machine before trying to copy from the remote machine.

Damir Butmir (d4m1r2) wrote :

I have actually fixed this issue myself locally (along with many other remmina issues) but just going back to an older version...Specifically, the packages they included with 11.10 as everything was working perfectly then:

As a work around I uninstalled all of remmina and manually downloaded
the debs for remmina 0.9.3. I don't have any issues now. These are
the files I installed for 12.04LST x64.

libfreerdp0_0.8.2-2_amd64.deb
libfreerdp-plugins-standard_0.8.2-2_amd64.deb
remmina_0.9.3-2_amd64.deb
remmina-dev_0.9.3-2_all.deb
remmina-plugin-data_0.9.2-2_all.deb
remmina-plugin-rdp_0.9.2-2_amd64.deb

You can download these debs from here,
https://launchpad.net/ubuntu/oneiric/amd64

Last after they are downloaded you should lock these versions otherwise they will get upgraded the next time you upgrade your machine. Install synaptic if it isn't already installed. Then follow this procedure making sure to lock all the files you manually installed,
http://www.ubuntugeek.com/how-to-lock-package-versions-from-synaptic-package-manager.html

David Clayton (dcstar) wrote :

You don't need any "-dev" packages, and you can the old packages from the Ubuntu site:

http://packages.ubuntu.com/oneiric/remmina

Once you uninstall the current Remmina packages and then install the older ones you will have to log out of your Gnome session and then back in again to use it.

The_ERROR (spam-trash-2) wrote :

Seems that it is fixed oly half-way - clipboard is working in way remote -> local, but not in opposite way.

Package: remmina
Priority: optional
Section: gnome
Installed-Size: 353
Maintainer: Ubuntu Developers <email address hidden>
Original-Maintainer: Luca Falavigna <email address hidden>
Architecture: amd64
Version: 1.0.0-1ubuntu6.1
Replaces: remmina-gnome, remmina-xfce
Depends: libappindicator3-1 (>= 0.4.90), libc6 (>= 2.15), libgcrypt11 (>= 1.4.5), libgdk-pixbuf2.0-0 (>= 2.22.0), libglib2.0-0 (>= 2.28.0), libgtk-3-0 (>= 3.0.0), libssh-4 (>= 0.3.91), libvte-2.90-9 (>= 1:0.27.2), libx11-6, remmina-common (= 1.0.0-1ubuntu6.1)
Recommends: remmina-plugin-rdp, remmina-plugin-vnc
Breaks: remmina-plugin-data (<= 0.9)
Filename: pool/main/r/remmina/remmina_1.0.0-1ubuntu6.1_amd64.deb
Size: 131108
MD5sum: 32a4e47b5c5da0f40336aa7e7c3fae2e
SHA1: cca4f170bd7ba55d785385c21aefa49a005d145b
SHA256: f219291799f3dd0c5da0674c4a6a53206943d0a9d1c21780f9ab7a78e1cc510b
Description-en: remote desktop client for GNOME desktop environment
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 It supports multiple network protocols in an integrated and consistant user
 interface. Currently RDP, VNC, NX, XDMCP and SSH protocols are supported.
Homepage: http://remmina.sourceforge.net/
Description-md5: ede6e83246f1eea7dfe2191738034796
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Origin: Ubuntu
Supported: 5y
Task: ubuntu-desktop, ubuntu-usb, edubuntu-desktop, edubuntu-usb

The_ERROR (spam-trash-2) wrote :

Just update about previous - Clipboard is working two ways on windows remote host, but on linux based hosts it is working only half-way, as I described above.

Martin Wildam (mwildam) wrote :

The quickest workaround for those who don't want to add other repositories or use unstable remmina-versions might be:

sudo apt-get install rdesktop

and you have the same effect - remmina then can transfer clipboard again. Seems to have the same effect as tsclient (which is not existent any more in the repositories).

I've arrived at the rdesktop solution too. Sure, it's deprecated and all
that, but it's more stable than remmina or xfreerdp. It has other, more
minor issues with the clipboard and mouse cursors, but for someone who
manages lots of Windows systems it's really the only way to do it since the
remmina/xfreerdp regressions occurred.

On Wed, Nov 7, 2012 at 10:16 AM, Martin Wildam <email address hidden>wrote:

> The quickest workaround for those who don't want to add other
> repositories or use unstable remmina-versions might be:
>
> sudo apt-get install rdesktop
>
> and you have the same effect - remmina then can transfer clipboard
> again. Seems to have the same effect as tsclient (which is not existent
> any more in the repositories).
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/937522
>
> Title:
> rdp clipboard sync doesn't work anymore.
>
> Status in Remmina - The GTK+ Remote Desktop Client:
> New
> Status in “remmina” package in Ubuntu:
> Fix Released
> Status in “remmina” source package in Precise:
> Fix Released
> Status in “remmina” package in Debian:
> Fix Released
>
> Bug description:
> [Impact] This bug has been quite active for some time. Its just a fact
> that missing clipboard redirection is a blocker for this app.
>
> [Development Fix] The current remmina version (1.0.0-1ubuntu7) in
> Quantal has the same patch added.
>
> [Stable Fix] The patch for fixing this has been attached to this
> thread.
>
> [Test Case]
> - Install Remmina
> - Connect to a random RDP server
> - Copy something on the client
> - Paste it now on the server
> => Normally the content should be synced, but this is not the cause.
>
> [Regression Potential] before Precise we had rdesktop as RDP client.
> This client had support for clipboard redirection.
> But as Remmina is now the default RDP client, alot of people are missing
> this feature.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/remmina/+bug/937522/+subscriptions
>

Martin Wildam (mwildam) wrote :
Download full text (3.6 KiB)

I meant: If you install rdesktop, clipboard transfer in remmina works again.
Am 07.11.2012 16:36 schrieb "NTolerance" <email address hidden>:

> I've arrived at the rdesktop solution too. Sure, it's deprecated and all
> that, but it's more stable than remmina or xfreerdp. It has other, more
> minor issues with the clipboard and mouse cursors, but for someone who
> manages lots of Windows systems it's really the only way to do it since the
> remmina/xfreerdp regressions occurred.
>
>
> On Wed, Nov 7, 2012 at 10:16 AM, Martin Wildam <<email address hidden>
> >wrote:
>
> > The quickest workaround for those who don't want to add other
> > repositories or use unstable remmina-versions might be:
> >
> > sudo apt-get install rdesktop
> >
> > and you have the same effect - remmina then can transfer clipboard
> > again. Seems to have the same effect as tsclient (which is not existent
> > any more in the repositories).
> >
> > --
> > You received this bug notification because you are subscribed to the bug
> > report.
> > https://bugs.launchpad.net/bugs/937522
> >
> > Title:
> > rdp clipboard sync doesn't work anymore.
> >
> > Status in Remmina - The GTK+ Remote Desktop Client:
> > New
> > Status in “remmina” package in Ubuntu:
> > Fix Released
> > Status in “remmina” source package in Precise:
> > Fix Released
> > Status in “remmina” package in Debian:
> > Fix Released
> >
> > Bug description:
> > [Impact] This bug has been quite active for some time. Its just a fact
> > that missing clipboard redirection is a blocker for this app.
> >
> > [Development Fix] The current remmina version (1.0.0-1ubuntu7) in
> > Quantal has the same patch added.
> >
> > [Stable Fix] The patch for fixing this has been attached to this
> > thread.
> >
> > [Test Case]
> > - Install Remmina
> > - Connect to a random RDP server
> > - Copy something on the client
> > - Paste it now on the server
> > => Normally the content should be synced, but this is not the cause.
> >
> > [Regression Potential] before Precise we had rdesktop as RDP client.
> > This client had support for clipboard redirection.
> > But as Remmina is now the default RDP client, alot of people are
> missing
> > this feature.
> >
> > To manage notifications about this bug go to:
> > https://bugs.launchpad.net/remmina/+bug/937522/+subscriptions
> >
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/937522
>
> Title:
> rdp clipboard sync doesn't work anymore.
>
> Status in Remmina - The GTK+ Remote Desktop Client:
> New
> Status in “remmina” package in Ubuntu:
> Fix Released
> Status in “remmina” source package in Precise:
> Fix Released
> Status in “remmina” package in Debian:
> Fix Released
>
> Bug description:
> [Impact] This bug has been quite active for some time. Its just a fact
> that missing clipboard redirection is a blocker for this app.
>
> [Development Fix] The current remmina version (1.0.0-1ubuntu7) in
> Quantal has the same patch added.
>
> [Stable Fix] The patch for fixing this has been attached to this
> thread.
>
> [Test Case]
> - Install Remmina
> ...

Read more...

robled (robled) wrote :

That's strange! I thought that remmina uses xfreerdp and not rdesktop. I've just been using rdesktop from the command line.

Martin Wildam (mwildam) wrote :

On Wed, Nov 7, 2012 at 6:45 PM, NTolerance <email address hidden> wrote:
> That's strange! I thought that remmina uses xfreerdp and not rdesktop.
> I've just been using rdesktop from the command line.

Maybe it's just one of the keymap files.
rdesktop doesn't install that much, but a lot of files into
/usr/share/rdesktop/keymaps

Maybe Remmina reads those (just a wild guess).

Regards, Martin.

in 12.04 32-bit, I had rdesktop already installed. I did an apt-get purge rdesktop and apt-get install rdesktop and it made no change in remmina. I cannot use clipboard services.

Martin Wildam (mwildam) wrote :

On Thu, Nov 8, 2012 at 8:11 PM, Michael A. Phillips
<email address hidden> wrote:
> in 12.04 32-bit, I had rdesktop already installed. I did an apt-get
> purge rdesktop and apt-get install rdesktop and it made no change in
> remmina. I cannot use clipboard services.

I am on 64-bit - mhm...

Martin Wildam (mwildam) wrote :

Don't ask me why - I did now find the clipboard not working again.
I did now also install freerdp-x11 and now it works again - no clue what the hack went on again...

I am on Ubuntu 12.04 LTS, pretty up-to-date (I installed all updates two days ago, 12/19/12) and I have the latest rdesktop installed, and I think the latest Remmina (or latest as of 12/19/12), and copy/paste from within a remote machine and my local desktop, or between two different remote machines, does not work. Would love to see a fix for this get released soon, this is pretty crucial functionality.

Man I so *love* computers... So I just shut down and restarted Remmina and I tested copy/paste within a remote window- works, as before. Then I tried pasting to my browser on local desktop AND IT WORKED. So, um, great job guys! That will teach me to submit a bug report.

Martin Wildam (mwildam) wrote :

I noticed that the copy & paste works and then somehow refuses to work
and after Remmina restart it works again. So there is IMHO still an
issue here.

Felix (signor-rossi) wrote :

I'm using freerdp-x11 Version: 1.0.1-2ubuntu1.1freerdp1~1360+32~raring1
From commandline
/usr/bin/xfreerdp -encryption +clipboard /sec:rdp /u:xxxxx /p:xxxxx /multimon:force /bpp:24 /rfx /rfx-mode:image /gdi:hw /network:20 /keyboard:407 /title:dtp02 /v:dtp02

When copying to the remote-desktop only the first clip is copied. After I put something in the clipboard on te remote machine I cannot copy from the local machine anymore.

Copying from the remote to the local machine does work.

I am on ubuntu 13.10 client, xubuntu 13.10 (headless) server. The client has Remmina 1.0.0.4 installed (confirmed with synaptic), although the 'about' reports only 0.9.99.1 for itself and all plugins which is most confusing.

The server has xrdp 0.6.0-1 installed.

I cannot get copy and paste from client to server, or vice-versa, to work.

I have tried the Right Control ('Host') V and C to no avail. It is most frustrating, to say the least.

Am I missing something or should copy and paste just work with this version?

tags: added: utopic

Using a fully updated Ubuntu 14.04, I've begun to experience this bug again lately.

I'm able to do copy and paste with rdesktop (logging into the very same servers where Remmina is failing to provide copy and paste between my remote sessions and local desktop).

Has anyone else recently began to experience this bug again?

I have never got copy & paste between client and server to work with Remina. I'm also on up-to-date 14.04.

Kari Haapanen (karsta62) wrote :

I have the latest Kubuntu 14.04.
Recently all rdp clients began to ignore clipboard both ways. Remmina, rdesktop and KRDC as well.

Sam (a-samuel) wrote :

I've experienced the same thing on Ubuntu 14.04 and Remmina - copy and paste does not work anymore.

 Last week when the machines were first setup for the users, we did a demo for them which included copying and pasting text back and forth, this worked seamlessly, this week, this same functionality does nothing.

I've tried Right Control and switching the imput grab back and forth to no avail.

Martin Wildam (mwildam) wrote :

Same issue here - sometimes it works, sometimes not. After several
tests I found out, that when it does not work, it helps logging out
the remote session (instead of just closing the window leaving the
session running) and logging in again. After a fresh login it works
again.

Talked with somebody using Windows at his laptop and he told me he
experiences the same issue. So this seems to be a Windows-issue.

Best regards, Martin.

On Mon, Nov 3, 2014 at 8:10 PM, Sam <email address hidden> wrote:
> I've experienced the same thing on Ubuntu 14.04 and Remmina - copy and
> paste does not work anymore.
>
> Last week when the machines were first setup for the users, we did a
> demo for them which included copying and pasting text back and forth,
> this worked seamlessly, this week, this same functionality does nothing.
>
> I've tried Right Control and switching the imput grab back and forth to
> no avail.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/937522
>
> Title:
> rdp clipboard sync doesn't work anymore.
>
> Status in Remmina - The GTK+ Remote Desktop Client:
> New
> Status in “remmina” package in Ubuntu:
> Fix Released
> Status in “remmina” source package in Precise:
> Fix Released
> Status in “remmina” package in Debian:
> Fix Released
>
> Bug description:
> [Impact] This bug has been quite active for some time. Its just a fact
> that missing clipboard redirection is a blocker for this app.
>
> [Development Fix] The current remmina version (1.0.0-1ubuntu7) in
> Quantal has the same patch added.
>
> [Stable Fix] The patch for fixing this has been attached to this
> thread.
>
> [Test Case]
> - Install Remmina
> - Connect to a random RDP server
> - Copy something on the client
> - Paste it now on the server
> => Normally the content should be synced, but this is not the cause.
>
> [Regression Potential] before Precise we had rdesktop as RDP client.
> This client had support for clipboard redirection.
> But as Remmina is now the default RDP client, alot of people are missing this feature.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/remmina/+bug/937522/+subscriptions

--
Martin Wildam

http://martin.wildam.org/

Damir Butmir (d4m1r2) wrote :

Guys, be sure to specify the EXACT version of Remmina you are still experiencing issues with....

I no longer had this problem when I reverted back to an older version (process described in my earlier comment) under Ubuntu 12.04. As well, this issue is marked as "resolved" so the developers feel the fixed the bug and presumably pushed out a new version.

If this bug is STILL occurring to you running the latest release of Remmina on 14.04 for example, maybe this bug should be reopened?

Martin Wildam (mwildam) wrote :

I am on Ubuntu 12.04, Remmina 0.9.99.1 and whenever I experience the
issue then logging off the session and logging in again solves the
problem. Another co-incidence with the problem may be (still not yet
fully analyzed) when TeamViewer is running in the remote session. This
might interfere with clipboard-synch-operations.

On Tue, Nov 4, 2014 at 10:09 AM, Damir Butmir <email address hidden> wrote:
> Guys, be sure to specify the EXACT version of Remmina you are still
> experiencing issues with....
>
> I no longer had this problem when I reverted back to an older version
> (process described in my earlier comment) under Ubuntu 12.04. As well,
> this issue is marked as "resolved" so the developers feel the fixed the
> bug and presumably pushed out a new version.
>
> If this bug is STILL occurring to you running the latest release of
> Remmina on 14.04 for example, maybe this bug should be reopened?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/937522
>
> Title:
> rdp clipboard sync doesn't work anymore.
>
> Status in Remmina - The GTK+ Remote Desktop Client:
> New
> Status in “remmina” package in Ubuntu:
> Fix Released
> Status in “remmina” source package in Precise:
> Fix Released
> Status in “remmina” package in Debian:
> Fix Released
>
> Bug description:
> [Impact] This bug has been quite active for some time. Its just a fact
> that missing clipboard redirection is a blocker for this app.
>
> [Development Fix] The current remmina version (1.0.0-1ubuntu7) in
> Quantal has the same patch added.
>
> [Stable Fix] The patch for fixing this has been attached to this
> thread.
>
> [Test Case]
> - Install Remmina
> - Connect to a random RDP server
> - Copy something on the client
> - Paste it now on the server
> => Normally the content should be synced, but this is not the cause.
>
> [Regression Potential] before Precise we had rdesktop as RDP client.
> This client had support for clipboard redirection.
> But as Remmina is now the default RDP client, alot of people are missing this feature.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/remmina/+bug/937522/+subscriptions

--
Martin Wildam

http://martin.wildam.org/

I confirm this bug, although repaired in previous versions of Ubuntu, is back again in Ubuntu 15.04 Vivid.

Copy and paste between remote and local desktops is not working (again).

tags: added: vivid

This is a critical bug in Ubuntu 15.04, should I create another bug report, or is this going to get seen?

I don't believe posting to the bottom of this bug report is effective. I've created a new bug report:
https://bugs.launchpad.net/ubuntu/+source/remmina/+bug/1439478

Displaying first 40 and last 40 comments. View all 153 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.